protolabs42

Store a memory

Create a new memory in the specified namespace. The owner is auto-populated from the authenticated identity. Embeddings are generated asynchronously.

POST
/memory/store

Create a new memory in the specified namespace. The owner is auto-populated from the authenticated identity. Embeddings are generated asynchronously.

Authorization

bearerAuth
AuthorizationBearer <token>

API key obtained via invite redemption or SIWE login

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://chorus.runclaw.run/memory/store" \  -H "Content-Type: application/json" \  -d '{    "content": "string",    "memory_type": "string",    "namespace": "string"  }'
{
  "data": {
    "id": "string",
    "content": "string",
    "memory_type": "string",
    "owner": "string",
    "namespace": "string",
    "entity": "string",
    "category": "string",
    "tags": [],
    "confidence": 1,
    "source": "string",
    "metadata": {
      "property1": null,
      "property2": null
    },
    "source_org": "string",
    "source_claw": "string",
    "deleted_at": "string",
    "expires_at": "string",
    "created_at": "string",
    "updated_at": "string"
  },
  "meta": {
    "request_id": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "request_id": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "request_id": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "request_id": "string"
  }
}